package com.zehong.system.domain.train;

import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 培训课程题库对象 t_train_course_topic
 *
 * @author zehong
 * @date 2022-09-19
 */
public class TTrainCourseTopic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 题目id */
    private Long topicId;

    /** 所属课程id */
    @Excel(name = "所属课程id")
    private Long courseId;

    /** 题目内容 */
    @Excel(name = "题目内容")
    private String topicTitle;

    /** 题目选项（json） */
    @Excel(name = "题目选项", readConverterExp = "j=son")
    private String topicOption;

    /** 答案 */
//    @Excel(name = "答案")
//    private Integer answer;
    /** 答案 */
    @Excel(name = "答案")
    private String  answer;

    /** 题目类型  1单选  2多选   3判断 */
    private Integer topicType;


    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Integer getTopicType() {
        return topicType;
    }

    public void setTopicType(Integer topicType) {
        this.topicType = topicType;
    }

    public void setTopicId(Long topicId)
    {
        this.topicId = topicId;
    }

    public Long getTopicId()
    {
        return topicId;
    }
    public void setCourseId(Long courseId)
    {
        this.courseId = courseId;
    }

    public Long getCourseId()
    {
        return courseId;
    }
    public void setTopicTitle(String topicTitle)
    {
        this.topicTitle = topicTitle;
    }

    public String getTopicTitle()
    {
        return topicTitle;
    }
    public void setTopicOption(String topicOption)
    {
        this.topicOption = topicOption;
    }

    public String getTopicOption()
    {
        return topicOption;
    }


    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("topicId", getTopicId())
            .append("courseId", getCourseId())
            .append("topicTitle", getTopicTitle())
            .append("topicOption", getTopicOption())
            .append("answer", getAnswer())
            .append("createTime", getCreateTime())
            .toString();
    }
}
